Show / Hide Table of Contents

# Struct AddonRepair

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonRepair

### Fields

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### Dropdown

##### Declaration

    public AtkComponentDropDownList*Dropdown

##### Field Value

Type | Description
--- | ---
AtkComponentDropDownList* |

| Improve this Doc View Source

#### HeaderContainer

##### Declaration

    public AtkResNode*HeaderContainer

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### ItemList

##### Declaration

    public AtkComponentList*ItemList

##### Field Value

Type | Description
--- | ---
AtkComponentList* |

| Improve this Doc View Source

#### JobIcon

##### Declaration

    public AtkImageNode*JobIcon

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### JobLevel

##### Declaration

    public AtkTextNode*JobLevel

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### JobName

##### Declaration

    public AtkTextNode*JobName

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### NothingToRepairText

##### Declaration

    public AtkTextNode*NothingToRepairText

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### RepairAllButton

##### Declaration

    public AtkComponentButton*RepairAllButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### UnusedText1

##### Declaration

    public AtkTextNode*UnusedText1

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### UnusedText2

##### Declaration

    public AtkTextNode*UnusedText2

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### UnusedText3

##### Declaration

    public AtkTextNode*UnusedText3

##### Field Value

Type | Description
--- | ---
AtkTextNode* |